summaryrefslogtreecommitdiff
path: root/ds9
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
commite4caf4a2acbb18875b1064246554e4105449b5a3 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /ds9
downloadastroconda-contrib-e4caf4a2acbb18875b1064246554e4105449b5a3.tar.gz
Initial commit
Diffstat (limited to 'ds9')
-rw-r--r--ds9/bld.bat3
-rw-r--r--ds9/build.sh20
-rw-r--r--ds9/meta.yaml16
3 files changed, 39 insertions, 0 deletions
diff --git a/ds9/bld.bat b/ds9/bld.bat
new file mode 100644
index 0000000..158ac2f
--- /dev/null
+++ b/ds9/bld.bat
@@ -0,0 +1,3 @@
+
+exit 1
+if errorlevel 1 exit 1 \ No newline at end of file
diff --git a/ds9/build.sh b/ds9/build.sh
new file mode 100644
index 0000000..f2fe0a5
--- /dev/null
+++ b/ds9/build.sh
@@ -0,0 +1,20 @@
+
+case "$(uname)" in
+Linux)
+LDFLAGS='-m64'
+;;
+Darwin)
+LDFLAGS='-arch x86_64 -m64'
+
+sed -i -e '/codesign/d' ds9/unix/Makefile.in
+;;
+*)
+echo "Unsupported"
+exit 1
+;;
+esac
+
+unix/configure
+make
+mkdir -p $PREFIX/bin
+cp -a bin/ds9* bin/x* $PREFIX/bin \ No newline at end of file
diff --git a/ds9/meta.yaml b/ds9/meta.yaml
new file mode 100644
index 0000000..dd4f05f
--- /dev/null
+++ b/ds9/meta.yaml
@@ -0,0 +1,16 @@
+about:
+ home: http://ds9.si.edu/download/source/
+ license: GPL,LGPL,BSD
+ summary: ds9
+build:
+ number: '0'
+package:
+ name: ds9
+ version: '7.4'
+requirements:
+ build:
+ - gcc >=4.6 [osx]
+source:
+ fn: ds9.7.4.tar.gz
+ url:
+ - http://ds9.si.edu/download/source//ds9.7.4.tar.gz